Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.el
Class ELContextImpl

    java.lang.Object
      javax.el.ELContext
          org.apache.tiles.el.ELContextImpl

Direct Known Subclasses:
  ELContextImpl

    public class ELContextImpl

extends javax.el.ELContext

Implementation of ELContext.
Copied from Apache Tomcat 6.0.16 source code.

Since:
  2.2.1

Constructor Summary
`ELContextImpl(javax.el.ELResolver resolver)` Constructor.

Method Summary
`javax.el.ELResolver` | `getELResolver()`
`javax.el.FunctionMapper` | `getFunctionMapper()`
`javax.el.VariableMapper` | `getVariableMapper()`
`void` | `setFunctionMapper(javax.el.FunctionMapper functionMapper)` Sets the function mapper to use.
`void` | `setVariableMapper(javax.el.VariableMapper variableMapper)` Sets the variable mapper to use.

Methods inherited from class javax.el.ELContext
`getContext, getLocale, isPropertyResolved, putContext, setLocale, setPropertyResolved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELContextImpl

    public ELContextImpl(javax.el.ELResolver resolver)

  Constructor.

  Parameters:
    `resolver` - The resolver to use.

Method Detail

### getELResolver

    public javax.el.ELResolver getELResolver()

  Specified by:
    `getELResolver` in class `javax.el.ELContext`

### getFunctionMapper

    public javax.el.FunctionMapper getFunctionMapper()

  Specified by:
    `getFunctionMapper` in class `javax.el.ELContext`

### getVariableMapper

    public javax.el.VariableMapper getVariableMapper()

  Specified by:
    `getVariableMapper` in class `javax.el.ELContext`

### setFunctionMapper

    public void setFunctionMapper(javax.el.FunctionMapper functionMapper)

  Sets the function mapper to use.

  Parameters:
    `functionMapper` - The function mapper.
  Since:
    2.2.1

### setVariableMapper

    public void setVariableMapper(javax.el.VariableMapper variableMapper)

  Sets the variable mapper to use.

  Parameters:
    `variableMapper` - The variable mapper.
  Since:
    2.2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.